Solicitar verificación
curl --request POST \
--url https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/verify \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/verify"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/verify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/verify"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/verify")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/verify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"internalId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"externalId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"type": "COMPANY",
"status": "IN_REVIEW",
"name": "Example Company S.A.",
"documentationStatus": "PARTIAL",
"updatedAt": "2024-01-15T17:05:00Z"
}
Entidades
Solicitar verificación
POST
/
api
/
entity
/
v1
/
entities
/
{entityId}
/
verify
Solicitar verificación
curl --request POST \
--url https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/verify \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/verify"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/verify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/verify"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/verify")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/entity/v1/entities/{entityId}/verify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"internalId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"externalId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"type": "COMPANY",
"status": "IN_REVIEW",
"name": "Example Company S.A.",
"documentationStatus": "PARTIAL",
"updatedAt": "2024-01-15T17:05:00Z"
}
Informa a Localpayment de que la carga de documentación de la entidad está completa e inicia su revisión. La entidad pasa de PENDING_KYC a IN_REVIEW. En el caso de una empresa, llámalo sobre la empresa una vez que sus documentos, archivos y personas estén cargados y vinculados.
- Sin cuerpo de solicitud.
- Solo desde PENDING_KYC. Si se vuelve a llamar mientras la entidad está en IN_REVIEW, se devuelve 409 INVALID_STATUS_TRANSITION.
- La entidad necesita al menos un archivo cargado (422 NO_PROOFS_UPLOADED) y sus datos KYC mínimos (422 INCOMPLETE_KYC_DATA).
- Mientras la entidad está en IN_REVIEW, queda bloqueada: no puede editar sus datos, añadir ni editar documentos, cargar ni eliminar archivos, ni vincular, modificar o finalizar UBO (409 ENTITY_IN_REVIEW).
- Con verify, tu parte de la carga termina: no necesitas consultar el estado de la entidad después.
- Si Localpayment devuelve la entidad a PENDING_KYC para una corrección, resuelva lo que indica statusReason y vuelva a llamar a este endpoint.
application/problem+json con un code estable. Catálogo completo: Estados de entidad y códigos de error.Autorizaciones
Encabezados
Token de acceso Bearer para la autenticación. Este token se obtiene de los endpoints Get Access Token o Refresh Access Token. Tu cuenta de comerciante y el usuario que actúa se determinan a partir de él.
Ejemplo:
"Bearer <your_access_token>"
Parámetros de ruta
Respuesta
Aceptado. La entidad pasa a IN_REVIEW y queda bloqueada hasta que Localpayment la resuelva (extracto de la entidad).
Última modificación el 10 de noviembre de 2026

